Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.annotations
Annotation Type DynamicUpdate

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface DynamicUpdate

For updating, should this entity use dynamic sql generation where only changed columns get referenced in the prepared sql statement?

Note, for re-attachment of detached entities this is not possible without select-before-update being enabled.

See Also:
  `SelectBeforeUpdate`

Optional Element Summary
`boolean` | `value`

### value

    public abstract boolean value

  Default:
    true

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.